Runtime

## org.eclipse.gmf.runtime.notation
Class JumpLinkType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.gmf.runtime.notation.JumpLinkType

All Implemented Interfaces:
  Enumerator

public final class JumpLinkType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Jump Link Type', and utility methods for working with them.

See Also:
  `NotationPackage.getJumpLinkType()`
** Generated **
Model:

Field Summary
`static int` `CHAMFERED` The 'Chamfered' literal value
`static JumpLinkType` `CHAMFERED_LITERAL` The 'Chamfered' literal object
`static int` `SEMICIRCLE` The 'Semicircle' literal value
`static JumpLinkType` `SEMICIRCLE_LITERAL` The 'Semicircle' literal object
`static int` `SQUARE` The 'Square' literal value
`static JumpLinkType` `SQUARE_LITERAL` The 'Square' literal object
`static java.util.List` `VALUES` A public read-only list of all the 'Jump Link Type' enumerators

Method Summary
`static JumpLinkType` `get(int value)` Returns the 'Jump Link Type' literal with the specified integer value
`static JumpLinkType` `get(java.lang.String literal)` Returns the 'Jump Link Type' literal with the specified literal value
`static JumpLinkType` `getByName(java.lang.String name)` Returns the 'Jump Link Type' literal with the specified name

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SEMICIRCLE

    public static final int SEMICIRCLE

  The 'Semicircle' literal value.

  See Also:
    `JumpLinkType.SEMICIRCLE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Semicircle"

### SQUARE

    public static final int SQUARE

  The 'Square' literal value.

  See Also:
    `JumpLinkType.SQUARE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Square"

### CHAMFERED

    public static final int CHAMFERED

  The 'Chamfered' literal value.

  See Also:
    `JumpLinkType.CHAMFERED_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:
    name="Chamfered"

### SEMICIRCLE_LITERAL

    public static final JumpLinkType SEMICIRCLE_LITERAL

  The 'Semicircle' literal object.

  See Also:
    `JumpLinkType.SEMICIRCLE`
  ** Generated **
  Ordered:

### SQUARE_LITERAL

    public static final JumpLinkType SQUARE_LITERAL

  The 'Square' literal object.

  See Also:
    `JumpLinkType.SQUARE`
  ** Generated **
  Ordered:

### CHAMFERED_LITERAL

    public static final JumpLinkType CHAMFERED_LITERAL

  The 'Chamfered' literal object.

  See Also:
    `JumpLinkType.CHAMFERED`
  ** Generated **
  Ordered:

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Jump Link Type' enumerators.

  ** Generated **

Method Detail

### get

    public static JumpLinkType get(java.lang.String literal)

  Returns the 'Jump Link Type' literal with the specified literal value.

  ** Generated **

### getByName

    public static JumpLinkType getByName(java.lang.String name)

  Returns the 'Jump Link Type' literal with the specified name.

  ** Generated **

### get

    public static JumpLinkType get(int value)

  Returns the 'Jump Link Type' literal with the specified integer value.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.